Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Fri, 23 Jul 2021 14:29:43 +0200

On Thu, Jul 22, 2021 at 02:12:28PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the usb tree got a conflict in:
> 
>   drivers/usb/dwc3/gadget.c
> 
> between commit:
> 
>   40edb52298df ("usb: dwc3: avoid NULL access of usb_gadget_driver")
> 
> from the usb.current tree and commit:
> 
>   9f607a309fbe ("usb: dwc3: Resize TX FIFOs to meet EP bursting requirements")
> 
> from the usb tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks, I'll fix this up when Linus takes my usb-linus branch soon.

greg k-h